using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using System.IO;
using System.Windows.Threading;

namespace AIRS
{
    /// <summary>
    /// LogoWindow.xaml 的交互逻辑
    /// </summary>
    public partial class LogoWindow : Window
    {
        DispatcherTimer timer = new DispatcherTimer();

        public LogoWindow()
        {
            InitializeComponent();

            //开启时钟
            showlogo();
        }

        /// <summary>
        /// 开启时钟
        /// </summary>
        void showlogo()
        {
            timer.Tick += new EventHandler(timer_Tick);
            timer.Interval = TimeSpan.FromSeconds(2.5);   //设置刷新的间隔时间
            timer.Start();
        }

        /// <summary>
        /// 时钟线程
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void timer_Tick(object sender, EventArgs e)
        {
            timer.Stop();
            this.Hide();
            MainWindow mw = new MainWindow();
            mw.Show();
            this.Close();
        }
    }
}
